<?php

header('Content-type: application/json');

$db_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/database.sqlite';

try {
    $pdo = new PDO('sqlite:' . $db_path);
    $pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    echo json_encode($pdo->query('SELECT * FROM schedule NATURAL JOIN rooms')->fetchAll());

} catch (PDOException $exception) {
    echo 'SUS' . var_dump($exception->getMessage());
}



// ESCAPE
// $pdo.htmlspecialchars();
// $pdo->prepare()